diff -uwr source/scripts/FileFactoryListClass.h 4.0/source/scripts/FileFactoryListClass.h
--- source/scripts/FileFactoryListClass.h	2009-11-13 16:25:34.000000000 +0800
+++ 4.0/source/scripts/FileFactoryListClass.h	2011-10-11 21:53:04.629882800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__FILEFACTORYLISTCLASS_H
 #define TT_INCLUDE__FILEFACTORYLISTCLASS_H
 #include "engine_io.h"
@@ -6,7 +17,7 @@
 
 class FileFactoryListClass : public FileFactoryClass
 {
-#ifndef WWCONFIG
+#if !defined(WWCONFIG) && !defined(PACKAGEEDITOR)
 	static REF_DECL2(Instance, FileFactoryListClass *);
 #else
 	static FileFactoryListClass *Instance;
diff -uwr source/scripts/FrustumClass.h 4.0/source/scripts/FrustumClass.h
--- source/scripts/FrustumClass.h	2009-11-09 18:47:58.000000000 +0800
+++ 4.0/source/scripts/FrustumClass.h	2011-10-11 21:53:02.598632800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_FRUSTUMCLASS_H
 #define TT_INCLUDE_FRUSTUMCLASS_H
 #include "Vector2.h"
diff -uwr source/scripts/GameData.h 4.0/source/scripts/GameData.h
--- source/scripts/GameData.h	2011-04-28 07:18:42.000000000 +0800
+++ 4.0/source/scripts/GameData.h	2011-10-11 21:53:00.882812500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_GAMEDATA_H
 #define TT_INCLUDE_GAMEDATA_H
 
@@ -301,6 +312,7 @@
 			return baseName;
 		}
 	}
+	void setCurrentPlayers(int value) { CurrentPlayers = value; }
 }; // 026C  0274
 
 class cGameDataCnc : public cGameData {
diff -uwr source/scripts/GameDefinition.h 4.0/source/scripts/GameDefinition.h
--- source/scripts/GameDefinition.h	2011-08-31 23:11:06.000000000 +0800
+++ 4.0/source/scripts/GameDefinition.h	2011-10-11 21:52:59.029296800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #pragma once
 
 #include "engine_string.h"
diff -uwr source/scripts/GameObjManager.h 4.0/source/scripts/GameObjManager.h
--- source/scripts/GameObjManager.h	2011-05-10 15:47:32.000000000 +0800
+++ 4.0/source/scripts/GameObjManager.h	2011-10-11 21:52:57.000976500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__GAMEOBJMANAGER_H
 #define TT_INCLUDE__GAMEOBJMANAGER_H
 
diff -uwr source/scripts/General.cpp 4.0/source/scripts/General.cpp
--- source/scripts/General.cpp	2009-04-12 11:51:52.000000000 +0800
+++ 4.0/source/scripts/General.cpp	2011-10-11 23:04:40.189453100 +0800
@@ -1 +1,12 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
diff -uwr source/scripts/General.h 4.0/source/scripts/General.h
--- source/scripts/General.h	2009-08-03 13:51:50.000000000 +0800
+++ 4.0/source/scripts/General.h	2011-10-11 21:52:49.290039000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef SCRIPTS_INCLUDE__GENERAL_H
 #define SCRIPTS_INCLUDE__GENERAL_H
 
diff -uwr source/scripts/GridCull.h 4.0/source/scripts/GridCull.h
--- source/scripts/GridCull.h	2009-11-09 18:58:08.000000000 +0800
+++ 4.0/source/scripts/GridCull.h	2011-10-11 21:52:35.784179600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE_GRIDCULL_H
 #define TT_INCLUDE_GRIDCULL_H
 #include "cullsystemclass.h"
diff -uwr source/scripts/HTreeClass.cpp 4.0/source/scripts/HTreeClass.cpp
--- source/scripts/HTreeClass.cpp	2009-11-09 18:57:20.000000000 +0800
+++ 4.0/source/scripts/HTreeClass.cpp	2011-10-11 23:04:29.022460900 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
 #include "HTreeClass.h"
 
diff -uwr source/scripts/HTreeClass.h 4.0/source/scripts/HTreeClass.h
--- source/scripts/HTreeClass.h	2010-08-06 15:59:36.000000000 +0800
+++ 4.0/source/scripts/HTreeClass.h	2011-10-11 21:52:25.835937500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__HTREECLASS_H
 #define TT_INCLUDE__HTREECLASS_H
 #include "Matrix3D.h"
Only in 4.0/source/scripts: HarvesterClass.h
diff -uwr source/scripts/HashTemplateClass.h 4.0/source/scripts/HashTemplateClass.h
--- source/scripts/HashTemplateClass.h	2010-10-25 20:27:18.000000000 +0800
+++ 4.0/source/scripts/HashTemplateClass.h	2011-10-11 21:52:31.998046800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__HASHTEMPLATECLASS_H
 #define TT_INCLUDE__HASHTEMPLATECLASS_H
 
diff -uwr source/scripts/HashTemplateIterator.h 4.0/source/scripts/HashTemplateIterator.h
--- source/scripts/HashTemplateIterator.h	2010-03-24 10:49:14.000000000 +0800
+++ 4.0/source/scripts/HashTemplateIterator.h	2011-10-11 21:52:30.064453100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__HASHTEMPLATEITERATOR_H
 #define TT_INCLUDE__HASHTEMPLATEITERATOR_H
 
diff -uwr source/scripts/HashTemplateKeyClass.cpp 4.0/source/scripts/HashTemplateKeyClass.cpp
--- source/scripts/HashTemplateKeyClass.cpp	2010-05-31 13:32:04.000000000 +0800
+++ 4.0/source/scripts/HashTemplateKeyClass.cpp	2011-10-11 23:04:31.224609300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "HashTemplateKeyClass.h"
 
diff -uwr source/scripts/HashTemplateKeyClass.h 4.0/source/scripts/HashTemplateKeyClass.h
--- source/scripts/HashTemplateKeyClass.h	2010-05-31 13:32:06.000000000 +0800
+++ 4.0/source/scripts/HashTemplateKeyClass.h	2011-10-11 21:52:27.746093700 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__HASHTEMPLATEKEYCLASS_H
 #define TT_INCLUDE__HASHTEMPLATEKEYCLASS_H
 
diff -uwr source/scripts/HumanStateClass.h 4.0/source/scripts/HumanStateClass.h
--- source/scripts/HumanStateClass.h	2009-08-26 00:43:02.000000000 +0800
+++ 4.0/source/scripts/HumanStateClass.h	2011-10-11 21:52:23.259765600 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__HUMANSTATECLASS_H
 #define TT_INCLUDE__HUMANSTATECLASS_H
 
diff -uwr source/scripts/Iterator.cpp 4.0/source/scripts/Iterator.cpp
--- source/scripts/Iterator.cpp	2009-06-12 22:48:26.000000000 +0800
+++ 4.0/source/scripts/Iterator.cpp	2011-10-11 23:04:43.359375000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "General.h"
 #include "Iterator.h"
 
diff -uwr source/scripts/Iterator.h 4.0/source/scripts/Iterator.h
--- source/scripts/Iterator.h	2010-08-13 15:23:02.000000000 +0800
+++ 4.0/source/scripts/Iterator.h	2011-10-11 21:51:45.616210900 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__ITERATOR_H
 #define TT_INCLUDE__ITERATOR_H
 
diff -uwr source/scripts/JMGRenetBuster.h 4.0/source/scripts/JMGRenetBuster.h
--- source/scripts/JMGRenetBuster.h	2010-04-14 10:14:18.000000000 +0800
+++ 4.0/source/scripts/JMGRenetBuster.h	2011-10-14 22:27:32.092773400 +0800
@@ -1,5 +1,5 @@
-/*	Renegade Renet Busters Scripts by Jerad Gray
-	Copyright 2010 Jerad Gray, Jonathan Wilson
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
@@ -9,6 +9,7 @@
 	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
 	Only the source code to the module(s) containing the licenced code has to be released.
 */
+#pragma once
 
 
 class JMG_Create_Ship_On_Poke : public ScriptImpClass {
diff -uwr source/scripts/JMGRenetBusters.cpp 4.0/source/scripts/JMGRenetBusters.cpp
--- source/scripts/JMGRenetBusters.cpp	2010-04-14 10:14:20.000000000 +0800
+++ 4.0/source/scripts/JMGRenetBusters.cpp	2011-10-11 23:04:54.738281200 +0800
@@ -1,6 +1,5 @@
 /*	Renegade Scripts.dll
-	Renegade Renet Busters Scripts
-	Copyright 2010 Jerad Gray, Jonathan Wilson, WhiteDragon(MDB)
+	Copyright 2011 Tiberian Technologies
 
 	This file is part of the Renegade scripts.dll
 	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
diff -uwr source/scripts/LightPhysClass.h 4.0/source/scripts/LightPhysClass.h
--- source/scripts/LightPhysClass.h	2009-11-09 18:57:20.000000000 +0800
+++ 4.0/source/scripts/LightPhysClass.h	2011-10-11 21:50:31.231445300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__LIGHTPHYSCLASS_H
 #define TT_INCLUDE__LIGHTPHYSCLASS_H
 
diff -uwr source/scripts/LineSegClass.cpp 4.0/source/scripts/LineSegClass.cpp
--- source/scripts/LineSegClass.cpp	2009-11-09 18:57:20.000000000 +0800
+++ 4.0/source/scripts/LineSegClass.cpp	2011-10-11 23:05:55.255859300 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
 
 #include "LineSegClass.h"
diff -uwr source/scripts/LineSegClass.h 4.0/source/scripts/LineSegClass.h
--- source/scripts/LineSegClass.h	2010-05-31 13:32:02.000000000 +0800
+++ 4.0/source/scripts/LineSegClass.h	2011-10-11 21:50:29.314453100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__LINESEGCLASS_H
 #define TT_INCLUDE__LINESEGCLASS_H
 
diff -uwr source/scripts/MaterialEffectClass.h 4.0/source/scripts/MaterialEffectClass.h
--- source/scripts/MaterialEffectClass.h	2011-05-24 09:57:26.000000000 +0800
+++ 4.0/source/scripts/MaterialEffectClass.h	2011-10-11 21:50:27.469726500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__MATERIALEFFECTCLASS_H
 #define TT_INCLUDE__MATERIALEFFECTCLASS_H
 #include "engine_vector.h"
diff -uwr source/scripts/Matrix3.cpp 4.0/source/scripts/Matrix3.cpp
--- source/scripts/Matrix3.cpp	2009-04-12 11:51:54.000000000 +0800
+++ 4.0/source/scripts/Matrix3.cpp	2011-10-11 23:05:53.842773400 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
 #include "Quaternion.h"
 #include "Matrix3.h"
diff -uwr source/scripts/Matrix3.h 4.0/source/scripts/Matrix3.h
--- source/scripts/Matrix3.h	2010-05-31 13:32:16.000000000 +0800
+++ 4.0/source/scripts/Matrix3.h	2011-10-11 21:50:25.082031200 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__MATRIX3_H
 #define TT_INCLUDE__MATRIX3_H
 #include "Vector3.h"
diff -uwr source/scripts/Matrix3D.cpp 4.0/source/scripts/Matrix3D.cpp
--- source/scripts/Matrix3D.cpp	2010-06-25 22:44:54.000000000 +0800
+++ 4.0/source/scripts/Matrix3D.cpp	2011-10-11 23:05:52.368164000 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
 
 #include "Matrix3D.h"
diff -uwr source/scripts/Matrix3D.h 4.0/source/scripts/Matrix3D.h
--- source/scripts/Matrix3D.h	2010-06-25 22:44:54.000000000 +0800
+++ 4.0/source/scripts/Matrix3D.h	2011-10-11 21:50:23.392578100 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__MATRIX3D_H
 #define TT_INCLUDE__MATRIX3D_H
 class Matrix3;
diff -uwr source/scripts/MeshClass.h 4.0/source/scripts/MeshClass.h
--- source/scripts/MeshClass.h	2011-03-11 17:38:02.000000000 +0800
+++ 4.0/source/scripts/MeshClass.h	2011-10-11 21:50:03.804687500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__MESHCLASS_H
 #define TT_INCLUDE__MESHCLASS_H
 #include "scripts.h"
diff -uwr source/scripts/MixFileFactoryClass.cpp 4.0/source/scripts/MixFileFactoryClass.cpp
--- source/scripts/MixFileFactoryClass.cpp	2011-08-12 07:11:46.000000000 +0800
+++ 4.0/source/scripts/MixFileFactoryClass.cpp	2011-10-11 23:05:44.881835900 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #include "general.h"
 
 #include "MixFileFactoryClass.h"
diff -uwr source/scripts/MixFileFactoryClass.h 4.0/source/scripts/MixFileFactoryClass.h
--- source/scripts/MixFileFactoryClass.h	2011-08-12 07:11:46.000000000 +0800
+++ 4.0/source/scripts/MixFileFactoryClass.h	2011-10-11 21:50:02.141601500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__MIXFILEFACTORYCLASS_H
 #define TT_INCLUDE__MIXFILEFACTORYCLASS_H
 #include "engine_common.h"
diff -uwr source/scripts/MoveablePhysClass.h 4.0/source/scripts/MoveablePhysClass.h
--- source/scripts/MoveablePhysClass.h	2009-08-03 11:59:46.000000000 +0800
+++ 4.0/source/scripts/MoveablePhysClass.h	2011-10-11 21:50:00.301757800 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__MOVEABLEPHYSCLASS_H
 #define TT_INCLUDE__MOVEABLEPHYSCLASS_H
 
diff -uwr source/scripts/MoveablePhysDefClass.h 4.0/source/scripts/MoveablePhysDefClass.h
--- source/scripts/MoveablePhysDefClass.h	2009-12-24 19:36:44.000000000 +0800
+++ 4.0/source/scripts/MoveablePhysDefClass.h	2011-10-11 21:49:58.500976500 +0800
@@ -1,3 +1,14 @@
+/*	Renegade Scripts.dll
+	Copyright 2011 Tiberian Technologies
+
+	This file is part of the Renegade scripts.dll
+	The Renegade scripts.dll is free software; you can redistribute it and/or modify it under
+	the terms of the GNU General Public License as published by the Free
+	Software Foundation; either version 2, or (at your option) any later
+	version. See the file COPYING for more details.
+	In addition, an exemption is given to allow Run Time Dynamic Linking of this code with any closed source module that does not contain code covered by this licence.
+	Only the source code to the module(s) containing the licenced code has to be released.
+*/
 #ifndef TT_INCLUDE__MOVEABLEPHYSDEFCLASS_H
 #define TT_INCLUDE__MOVEABLEPHYSDEFCLASS_H
 
